<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:p="http://primefaces.org/ui"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:f="http://xmlns.jcp.org/jsf/core">

    <body>
        <ui:composition template="./../WEB-INF/Modelo3.xhtml">

            <ui:define name="inicio">                
            </ui:define>    

            <ui:define name="content">
                <br></br>           
                <center>

                    <h5 id="c1" class="card-header">Cadastro de Clientes</h5>

                    <br></br>
                    <br></br>

                    <h:form>
                        <p:panelGrid columns="3" id="painel" >
                            <p:outputLabel value="Nome Completo:" for="nome" />
                            <p:inputText id="nome" value="#{clienteBean.cliente.nome}" required="true" placeholder="Ex: João Silva"/>
                            <p:message for="nome" />

                            <p:outputLabel value="Senha:" for="senha" />
                            <p:inputText id="senha" value="#{clienteBean.cliente.senha}" maxlength="8" type="password" required="true" placeholder="Senha"/>                                               
                            <p:message for="senha" />                           

                            <p:outputLabel value="Email:" for="email" />
                            <p:inputText id="email" value="#{clienteBean.cliente.email}"  required="true" placeholder="joãosilva@email.com.br" />
                            <p:message for="email" />

                            <p:outputLabel value="CPF:" for="cpf" />
                            <p:inputMask id="cpf" value="#{clienteBean.cliente.cpf}" mask="999.999.999-99"  required="true" placeholder="Ex:123.123.123-12"/>
                            <p:message for="cpf" />

                            <p:outputLabel value="Data de Nascimento:" for="data" />
                            <p:inputMask id="data" value="#{clienteBean.cliente.nascimento}" mask="99/99/9999" placeholder="99/99/99"/>
                            <p:message for="data"/>

                            <p:outputLabel value="Celular:" for="celular" />
                            <p:inputMask id="celular" value="#{clienteBean.cliente.celular}" mask="(99)999999999" placeholder="Ex: (99)9999 99999"/>
                            <p:message for="celular" /> 
                        </p:panelGrid>  

                        <br></br>

                        <h5 id="c2" class="card-header">Endereço</h5>

                        <br></br>


                        <p:panelGrid columns="3" id="painel2">
                            <p:outputLabel value="Endereço:" for="endereco" />
                            <p:inputText id="endereco" value="#{clienteBean.cliente.endereco}" placeholder="Ex: Rua B"/>
                            <p:message for="endereco"/>

                            <p:outputLabel value="Complemento:" for="complemento" />
                            <p:inputText id="complemento" value="#{clienteBean.cliente.complemento}" placeholder="Ex: Proxímo.."/>
                            <p:message for="complemento"/>

                            <p:outputLabel value="Número:" for="numero" />
                            <p:inputText id="numero" type="number" value="#{clienteBean.cliente.numero}" placeholder="Ex: 111"/>
                            <p:message for="numero"/>

                            <p:outputLabel value="Bairro:" for="bairro" />
                            <p:inputText id="bairro" value="#{clienteBean.cliente.bairro}" placeholder="Ex: Jacaraipe"/>
                            <p:message for="bairro"/>

                            <p:outputLabel value="Estado:" for="estado" />
                            <p:inputText id="estado" value="#{clienteBean.cliente.estado}" maxlength="2" placeholder="Ex: ES"/>
                            <p:message for="estado"/>

                            <p:outputLabel value="Cidade:" for="cidade" />
                            <p:inputText id="cidade" value="#{clienteBean.cliente.cidade}" placeholder="Ex: Serra"/>
                            <p:message for="cidade" />
                        </p:panelGrid>

                        <br></br>

                        <div id="botao">
                            <p:growl id="msg" />
                            <h:panelGrid columns="2" style="margin-bottom:10px" cellpadding="5">
                                <p:outputLabel for="@next" value="Desejo receber e-mail de ofertas."/>                           
                                <p:selectBooleanCheckbox  />
                            </h:panelGrid>  
                        </div>
                        <br></br>

                        <div  class="botoes">
                            <p:commandButton styleClass="bt1"  ajax="false" value="Finalizar" actionListener="#{clienteBean.salvar()}" update="painel,painel2"></p:commandButton>
                            &nbsp; 
                            &nbsp;      

                            <p:commandButton  value="Limpar Campos" actionListener="#{clienteBean.novo()}" update="painel,painel2"></p:commandButton>
                            &nbsp;  
                            &nbsp;  
                            <!-- <a href="Login.xhtml"><h:graphicImage library="img" title="Voltar" name="voltar.png"></h:graphicImage></a> -->

                        </div>
                    </h:form>
                </center>

            </ui:define>

        </ui:composition>

    </body>
</html>
